public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Florian Schmaus" <flow@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emulation/xen/
Date: Tue,  5 Jul 2022 16:23:08 +0000 (UTC)	[thread overview]
Message-ID: <1657038056.ad56bccb7e7bfbd2bdb78203bd28d692034fb448.flow@gentoo> (raw)

commit:     ad56bccb7e7bfbd2bdb78203bd28d692034fb448
Author:     Florian Schmaus <flow <AT> gentoo <DOT> org>
AuthorDate: Mon Jul  4 10:30:07 2022 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Tue Jul  5 16:20:56 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ad56bccb

app-emulation/xen: add 4.16.1, 4.16.2_pre1

This introduces a new approach to handle Xen patching and versioning. We
now consume the upstream patches from a repository called
xen-upstream-patches, which will ultimately be hosted by Gentoo
infra (e.g. available under gitweb.gentoo.org). The Gentoo patchset now
lives in a repository called xen-gentoo-patches, which will also be
hosted on Gentoo infra.

Furthermore we now follow upstreams versioning scheme. Previously we
would sell Xen 4.16.2-pre, which is from the staging-4.16 branch
containing security fixes, as Xen 4.16.1. To avoid confusion, we will
label the Xen versions as such, and Xen 4.16.1 will what is tagged
upstream as RELEASE-4.16.1 (+ the few Gentoo specific patches).

Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>

 app-emulation/xen/Manifest               |   3 +
 app-emulation/xen/xen-4.16.1.ebuild      | 185 +++++++++++++++++++++++++++++++
 app-emulation/xen/xen-4.16.2_pre1.ebuild | 185 +++++++++++++++++++++++++++++++
 3 files changed, 373 insertions(+)

diff --git a/app-emulation/xen/Manifest b/app-emulation/xen/Manifest
index 76e074719419..0c9876da5844 100644
--- a/app-emulation/xen/Manifest
+++ b/app-emulation/xen/Manifest
@@ -2,3 +2,6 @@ DIST xen-4.15.2-upstream-patches-2.tar.xz 93208 BLAKE2B 5b01953ba93551830e533cf7
 DIST xen-4.15.2.tar.gz 40773378 BLAKE2B 7c3e3bb066505f9838cd7c56d85debc64e5ed32cf4d4edf699ff843db49bee916e6eb46d07e5cd9021c2644bba0628a2aa567f60ace26c6d7ee5922643e04104 SHA512 1cbf988fa8ed38b7ad724978958092ca0e5506e38c709c7d1af196fb8cb8ec0197a79867782761ef230b268624b3d7a0d5d0cd186f37d25f495085c71bf70d54
 DIST xen-4.16.0-upstream-patches-2.tar.xz 111668 BLAKE2B e8bbedb7cc50f7a6cb1a3869f0165cce3d02c33f04b935384e770aa5206e6aa6cb51329c5d69375391a8781ba23f20c35e06406d5164720d253b405a77f5aee9 SHA512 6b6770117e81ae407e3ded0e366b14f3fa2411cc93a95187db27548c3dd17a1f85e60fc3971b008693297ad97aa0c5fa7b4d88e01d67a972f39e51bf0a2cf39d
 DIST xen-4.16.0.tar.gz 44982322 BLAKE2B 7e16a93b3f1131e2b10307fabc10641a9c5983173155b9a35eaf6ff317b6a747bccf6b8c87c06686830acc2c4bd3e19e5867eb443eabac9a1e4ee59124dfa87f SHA512 2869ed90d1779c9754d7f2397f5fc67a655304d9c32953ac20655ef96cb154521d8fce9f23915ac0c91f984dc54f72c67e5e619e2da318b5997748f44cf21b87
+DIST xen-4.16.1.tar.gz 44964667 BLAKE2B 190d9c330b5dcdd47bae26b6ef42111c9c63b71b8b92e20eae268054c6b40aaabadef78c0c9634cb3c3b1bde32a746cbb1404b5eed2a82ab829ba10632103856 SHA512 eeabba9c263cd2425bca083e32b5ebfc6c716c00553759c144fd4b6f64a89836b260787fa25ba22c1f5c4ea65aaad7c95b8c2c1070d3377b1c43c9517aa7032a
+DIST xen-gentoo-patches-4.16.1-gentoo-patchset-0.tar.gz 5289 BLAKE2B 4946056ee631ec0fa4d29f1cd643f66b491ef3ea049755d10d7b8e189f02816b990e53bffbeeeae0a61fb4e20aa877f5903a8aadfb26d0c78566a0e9fde540c7 SHA512 59d4101879bd18e828349db3814a9082b85c5ba8203ce98e5082491a9ede9c832a02ac7e4d7a0a51a52e38b72e5cce1eea6a09d6c5202e96bfe2aa4d47e12e65
+DIST xen-upstream-patches-4.16.2-pre-patchset-0.tar.gz 46026 BLAKE2B 57bca21962c9a451316f486f5db94e9c1b98b5e029a15dbd702007d573fe02571e648866c9ddbc293e53ceb5de92122b13d21e28c8879d918129134725c9ff91 SHA512 f665640fc686dfc5f718531601f66e3f30c4c8c7cb78293b6a615fe9f53a3763f2c864642a19336bb077d432b776ab1c9fa39e6fa5857ca3360e4d1b1ce63f50

diff --git a/app-emulation/xen/xen-4.16.1.ebuild b/app-emulation/xen/xen-4.16.1.ebuild
new file mode 100644
index 000000000000..e4073b7cad14
--- /dev/null
+++ b/app-emulation/xen/xen-4.16.1.ebuild
@@ -0,0 +1,185 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit flag-o-matic mount-boot python-any-r1 toolchain-funcs
+
+if [[ ${PV} == *9999 ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="git://xenbits.xen.org/xen.git"
+	SRC_URI=""
+else
+	KEYWORDS="~amd64 ~arm -x86"
+
+	XEN_PRE_PATCHSET_NUM=
+	XEN_GENTOO_PATCHSET_NUM=0
+	XEN_PRE_VERSION_BASE=
+
+	XEN_BASE_PV="${PV}"
+	if [[ -n "${XEN_PRE_VERSION_BASE}" ]]; then
+		XEN_BASE_PV="${XEN_PRE_VERSION_BASE}"
+	fi
+
+	SRC_URI="https://downloads.xenproject.org/release/xen/${XEN_BASE_PV}/xen-${XEN_BASE_PV}.tar.gz"
+
+	if [[ -n "${XEN_PRE_PATCHSET_NUM}" ]]; then
+		XEN_UPSTREAM_PATCHES_TAG="$(ver_cut 1-3)-pre-patchset-${XEN_PRE_PATCHSET_NUM}"
+		XEN_UPSTREAM_PATCHES_NAME="xen-upstream-patches-${XEN_UPSTREAM_PATCHES_TAG}"
+		SRC_URI+=" https://github.com/Flowdalic/xen-upstream-patches/archive/refs/tags/${XEN_UPSTREAM_PATCHES_TAG}.tar.gz -> ${XEN_UPSTREAM_PATCHES_NAME}.tar.gz"
+		XEN_UPSTREAM_PATCHES_DIR="${WORKDIR}/${XEN_UPSTREAM_PATCHES_NAME}"
+	fi
+	if [[ -n "${XEN_GENTOO_PATCHSET_NUM}" ]]; then
+		XEN_GENTOO_PATCHES_TAG="$(ver_cut 1-3 ${XEN_BASE_PV})-gentoo-patchset-${XEN_GENTOO_PATCHSET_NUM}"
+		XEN_GENTOO_PATCHES_NAME="xen-gentoo-patches-${XEN_GENTOO_PATCHES_TAG}"
+		SRC_URI+=" https://github.com/Flowdalic/xen-gentoo-patches/archive/refs/tags/${XEN_GENTOO_PATCHES_TAG}.tar.gz -> ${XEN_GENTOO_PATCHES_NAME}.tar.gz"
+		XEN_GENTOO_PATCHES_DIR="${WORKDIR}/${XEN_GENTOO_PATCHES_NAME}"
+	fi
+fi
+
+DESCRIPTION="The Xen virtual machine monitor"
+HOMEPAGE="https://xenproject.org"
+
+S="${WORKDIR}/xen-$(ver_cut 1-3 ${XEN_BASE_PV})"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="+boot-symlinks debug efi flask"
+REQUIRED_USE="arm? ( debug )"
+
+DEPEND="${PYTHON_DEPS}
+	efi? ( >=sys-devel/binutils-2.22[multitarget] )
+	!efi? ( >=sys-devel/binutils-2.22 )
+	flask? ( sys-apps/checkpolicy )"
+RDEPEND=""
+PDEPEND="~app-emulation/xen-tools-${PV}"
+
+# no tests are available for the hypervisor
+# prevent the silliness of /usr/lib/debug/usr/lib/debug files
+# prevent stripping of the debug info from the /usr/lib/debug/xen-syms
+RESTRICT="test splitdebug strip"
+
+# Approved by QA team in bug #144032
+QA_WX_LOAD="boot/xen-syms-${PV}"
+
+pkg_setup() {
+	python-any-r1_pkg_setup
+	if [[ -z ${XEN_TARGET_ARCH} ]]; then
+		if use amd64; then
+			export XEN_TARGET_ARCH="x86_64"
+		elif use arm; then
+			export XEN_TARGET_ARCH="arm32"
+		elif use arm64; then
+			export XEN_TARGET_ARCH="arm64"
+		else
+			die "Unsupported architecture!"
+		fi
+	fi
+}
+
+src_prepare() {
+	if [[ -v XEN_UPSTREAM_PATCHES_DIR ]]; then
+		eapply "${XEN_UPSTREAM_PATCHES_DIR}"
+	fi
+
+	if [[ -v XEN_GENTOO_PATCHES_DIR ]]; then
+		eapply "${XEN_GENTOO_PATCHES_DIR}"
+	fi
+
+	eapply "${FILESDIR}"/${PN}-4.16-efi.patch
+
+	# Symlinks do not work on fat32 volumes # 829765
+	if ! use boot-symlinks || use efi; then
+		eapply "${FILESDIR}"/${PN}-4.16-no-symlink.patch
+	fi
+
+	# Workaround new gcc-11 options
+	sed -e '/^CFLAGS/s/-Werror//g' -i xen/Makefile || die
+
+	# Drop .config
+	sed -e '/-include $(XEN_ROOT)\/.config/d' -i Config.mk || die "Couldn't	drop"
+
+	if use efi; then
+		export EFI_VENDOR="gentoo"
+		export EFI_MOUNTPOINT="/boot"
+	fi
+
+	default
+}
+
+xen_make() {
+	# Setting clang to either 'y' or 'n' tells Xen's build system
+	# whether or not clang is used.
+	local clang=n
+	if tc-is-clang; then
+		clang=y
+	fi
+
+	# Send raw LDFLAGS so that --as-needed works
+	emake \
+		V=1 \
+		LDFLAGS="$(raw-ldflags)" \
+		HOSTCC="$(tc-getBUILD_CC)" \
+		HOSTCXX="$(tc-getBUILD_CXX)" \
+		clang="${clang}" \
+		"$@"
+}
+
+src_configure() {
+	cd xen || die
+
+	touch gentoo-config || die
+	if use arm; then
+	   echo "CONFIG_EARLY_PRINTK=sun7i" >> gentoo-config || die
+	fi
+	if use debug; then
+		cat <<-EOF >> gentoo-config || die
+		CONFIG_DEBUG=y
+		CONFIG_CRASH_DEBUG=y
+EOF
+	fi
+	if use flask; then
+		echo "CONFIG_XSM=y" >> gentoo-config || die
+	fi
+
+	# remove flags
+	unset CFLAGS
+
+	tc-ld-disable-gold # Bug 700374
+
+	xen_make KCONFIG_ALLCONFIG=gentoo-config alldefconfig
+}
+
+src_compile() {
+	xen_make -C xen
+}
+
+src_install() {
+	# The 'make install' doesn't 'mkdir -p' the subdirs
+	if use efi; then
+		mkdir -p "${D}"${EFI_MOUNTPOINT}/efi/${EFI_VENDOR} || die
+	fi
+
+	xen_make DESTDIR="${D}" -C xen install
+
+	# make install likes to throw in some extra EFI bits if it built
+	use efi || rm -rf "${D}/usr/$(get_libdir)/efi"
+}
+
+pkg_postinst() {
+	elog "Official Xen Guide:"
+	elog " https://wiki.gentoo.org/wiki/Xen"
+
+	use efi && einfo "The efi executable is installed in /boot/efi/gentoo"
+
+	ewarn
+	ewarn "Xen 4.12+ changed the default scheduler to credit2 which can cause"
+	ewarn "domU lockups on multi-cpu systems. The legacy credit scheduler seems"
+	ewarn "to work fine."
+	ewarn
+	ewarn "Add sched=credit to xen command line options to use the legacy scheduler."
+	ewarn
+	ewarn "https://wiki.gentoo.org/wiki/Xen#Xen_domU_hanging_with_Xen_4.12.2B"
+}

diff --git a/app-emulation/xen/xen-4.16.2_pre1.ebuild b/app-emulation/xen/xen-4.16.2_pre1.ebuild
new file mode 100644
index 000000000000..2e8dbf6d958b
--- /dev/null
+++ b/app-emulation/xen/xen-4.16.2_pre1.ebuild
@@ -0,0 +1,185 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit flag-o-matic mount-boot python-any-r1 toolchain-funcs
+
+if [[ ${PV} == *9999 ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="git://xenbits.xen.org/xen.git"
+	SRC_URI=""
+else
+	KEYWORDS="~amd64 ~arm -x86"
+
+	XEN_PRE_PATCHSET_NUM=0
+	XEN_GENTOO_PATCHSET_NUM=0
+	XEN_PRE_VERSION_BASE=4.16.1
+
+	XEN_BASE_PV="${PV}"
+	if [[ -n "${XEN_PRE_VERSION_BASE}" ]]; then
+		XEN_BASE_PV="${XEN_PRE_VERSION_BASE}"
+	fi
+
+	SRC_URI="https://downloads.xenproject.org/release/xen/${XEN_BASE_PV}/xen-${XEN_BASE_PV}.tar.gz"
+
+	if [[ -n "${XEN_PRE_PATCHSET_NUM}" ]]; then
+		XEN_UPSTREAM_PATCHES_TAG="$(ver_cut 1-3)-pre-patchset-${XEN_PRE_PATCHSET_NUM}"
+		XEN_UPSTREAM_PATCHES_NAME="xen-upstream-patches-${XEN_UPSTREAM_PATCHES_TAG}"
+		SRC_URI+=" https://github.com/Flowdalic/xen-upstream-patches/archive/refs/tags/${XEN_UPSTREAM_PATCHES_TAG}.tar.gz -> ${XEN_UPSTREAM_PATCHES_NAME}.tar.gz"
+		XEN_UPSTREAM_PATCHES_DIR="${WORKDIR}/${XEN_UPSTREAM_PATCHES_NAME}"
+	fi
+	if [[ -n "${XEN_GENTOO_PATCHSET_NUM}" ]]; then
+		XEN_GENTOO_PATCHES_TAG="$(ver_cut 1-3 ${XEN_BASE_PV})-gentoo-patchset-${XEN_GENTOO_PATCHSET_NUM}"
+		XEN_GENTOO_PATCHES_NAME="xen-gentoo-patches-${XEN_GENTOO_PATCHES_TAG}"
+		SRC_URI+=" https://github.com/Flowdalic/xen-gentoo-patches/archive/refs/tags/${XEN_GENTOO_PATCHES_TAG}.tar.gz -> ${XEN_GENTOO_PATCHES_NAME}.tar.gz"
+		XEN_GENTOO_PATCHES_DIR="${WORKDIR}/${XEN_GENTOO_PATCHES_NAME}"
+	fi
+fi
+
+DESCRIPTION="The Xen virtual machine monitor"
+HOMEPAGE="https://xenproject.org"
+
+S="${WORKDIR}/xen-$(ver_cut 1-3 ${XEN_BASE_PV})"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="+boot-symlinks debug efi flask"
+REQUIRED_USE="arm? ( debug )"
+
+DEPEND="${PYTHON_DEPS}
+	efi? ( >=sys-devel/binutils-2.22[multitarget] )
+	!efi? ( >=sys-devel/binutils-2.22 )
+	flask? ( sys-apps/checkpolicy )"
+RDEPEND=""
+PDEPEND="~app-emulation/xen-tools-${PV}"
+
+# no tests are available for the hypervisor
+# prevent the silliness of /usr/lib/debug/usr/lib/debug files
+# prevent stripping of the debug info from the /usr/lib/debug/xen-syms
+RESTRICT="test splitdebug strip"
+
+# Approved by QA team in bug #144032
+QA_WX_LOAD="boot/xen-syms-${PV}"
+
+pkg_setup() {
+	python-any-r1_pkg_setup
+	if [[ -z ${XEN_TARGET_ARCH} ]]; then
+		if use amd64; then
+			export XEN_TARGET_ARCH="x86_64"
+		elif use arm; then
+			export XEN_TARGET_ARCH="arm32"
+		elif use arm64; then
+			export XEN_TARGET_ARCH="arm64"
+		else
+			die "Unsupported architecture!"
+		fi
+	fi
+}
+
+src_prepare() {
+	if [[ -v XEN_UPSTREAM_PATCHES_DIR ]]; then
+		eapply "${XEN_UPSTREAM_PATCHES_DIR}"
+	fi
+
+	if [[ -v XEN_GENTOO_PATCHES_DIR ]]; then
+		eapply "${XEN_GENTOO_PATCHES_DIR}"
+	fi
+
+	eapply "${FILESDIR}"/${PN}-4.16-efi.patch
+
+	# Symlinks do not work on fat32 volumes # 829765
+	if ! use boot-symlinks || use efi; then
+		eapply "${FILESDIR}"/${PN}-4.16-no-symlink.patch
+	fi
+
+	# Workaround new gcc-11 options
+	sed -e '/^CFLAGS/s/-Werror//g' -i xen/Makefile || die
+
+	# Drop .config
+	sed -e '/-include $(XEN_ROOT)\/.config/d' -i Config.mk || die "Couldn't	drop"
+
+	if use efi; then
+		export EFI_VENDOR="gentoo"
+		export EFI_MOUNTPOINT="/boot"
+	fi
+
+	default
+}
+
+xen_make() {
+	# Setting clang to either 'y' or 'n' tells Xen's build system
+	# whether or not clang is used.
+	local clang=n
+	if tc-is-clang; then
+		clang=y
+	fi
+
+	# Send raw LDFLAGS so that --as-needed works
+	emake \
+		V=1 \
+		LDFLAGS="$(raw-ldflags)" \
+		HOSTCC="$(tc-getBUILD_CC)" \
+		HOSTCXX="$(tc-getBUILD_CXX)" \
+		clang="${clang}" \
+		"$@"
+}
+
+src_configure() {
+	cd xen || die
+
+	touch gentoo-config || die
+	if use arm; then
+	   echo "CONFIG_EARLY_PRINTK=sun7i" >> gentoo-config || die
+	fi
+	if use debug; then
+		cat <<-EOF >> gentoo-config || die
+		CONFIG_DEBUG=y
+		CONFIG_CRASH_DEBUG=y
+EOF
+	fi
+	if use flask; then
+		echo "CONFIG_XSM=y" >> gentoo-config || die
+	fi
+
+	# remove flags
+	unset CFLAGS
+
+	tc-ld-disable-gold # Bug 700374
+
+	xen_make KCONFIG_ALLCONFIG=gentoo-config alldefconfig
+}
+
+src_compile() {
+	xen_make -C xen
+}
+
+src_install() {
+	# The 'make install' doesn't 'mkdir -p' the subdirs
+	if use efi; then
+		mkdir -p "${D}"${EFI_MOUNTPOINT}/efi/${EFI_VENDOR} || die
+	fi
+
+	xen_make DESTDIR="${D}" -C xen install
+
+	# make install likes to throw in some extra EFI bits if it built
+	use efi || rm -rf "${D}/usr/$(get_libdir)/efi"
+}
+
+pkg_postinst() {
+	elog "Official Xen Guide:"
+	elog " https://wiki.gentoo.org/wiki/Xen"
+
+	use efi && einfo "The efi executable is installed in /boot/efi/gentoo"
+
+	ewarn
+	ewarn "Xen 4.12+ changed the default scheduler to credit2 which can cause"
+	ewarn "domU lockups on multi-cpu systems. The legacy credit scheduler seems"
+	ewarn "to work fine."
+	ewarn
+	ewarn "Add sched=credit to xen command line options to use the legacy scheduler."
+	ewarn
+	ewarn "https://wiki.gentoo.org/wiki/Xen#Xen_domU_hanging_with_Xen_4.12.2B"
+}


             reply	other threads:[~2022-07-05 16:23 UTC|newest]

Thread overview: 308+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-07-05 16:23 Florian Schmaus [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-02  8:02 [gentoo-commits] repo/gentoo:master commit in: app-emulation/xen/ Florian Schmaus
2024-08-02  8:02 Florian Schmaus
2024-06-04 18:23 Arthur Zamarin
2024-05-29  8:32 Florian Schmaus
2024-05-29  8:32 Florian Schmaus
2024-04-11  3:38 Joonas Niilola
2024-04-10  6:43 Florian Schmaus
2024-04-10  6:43 Florian Schmaus
2024-04-06  6:05 Joonas Niilola
2024-04-05 15:59 Florian Schmaus
2024-04-05 15:59 Florian Schmaus
2024-03-28 17:18 Sam James
2024-03-28 11:21 Florian Schmaus
2024-03-28 11:21 Florian Schmaus
2024-01-13 20:46 Conrad Kostecki
2024-01-13 20:45 Sam James
2024-01-09  8:53 Florian Schmaus
2024-01-07 17:19 Andrew Ammerlaan
2023-10-25 18:47 Florian Schmaus
2023-10-20 16:54 Sam James
2023-10-19  8:22 Florian Schmaus
2023-10-19  8:22 Florian Schmaus
2023-09-09 18:01 Arthur Zamarin
2023-09-05 10:01 Sam James
2023-09-03  9:40 Florian Schmaus
2023-09-03  9:40 Florian Schmaus
2023-08-17  7:49 Andrew Ammerlaan
2023-05-16  9:30 Florian Schmaus
2023-05-16  7:33 Florian Schmaus
2023-04-17 20:13 Sam James
2023-04-17  8:32 Florian Schmaus
2023-04-17  8:32 Florian Schmaus
2023-01-25 16:24 Florian Schmaus
2023-01-25 16:24 Florian Schmaus
2022-12-17 16:55 Arthur Zamarin
2022-12-07 17:05 Florian Schmaus
2022-11-09  9:37 Florian Schmaus
2022-11-09  9:37 Florian Schmaus
2022-10-26 14:27 John Helmert III
2022-10-25 17:55 Sam James
2022-10-19  9:16 Florian Schmaus
2022-10-19  8:51 Florian Schmaus
2022-09-03 13:09 Florian Schmaus
2022-09-02 13:46 Florian Schmaus
2022-09-02  9:41 Florian Schmaus
2022-07-14  8:36 Florian Schmaus
2022-07-13  7:31 Florian Schmaus
2022-07-13  7:08 Florian Schmaus
2022-07-13  7:08 Florian Schmaus
2022-07-12 19:48 Florian Schmaus
2022-07-11  6:47 Florian Schmaus
2022-07-11  6:45 Florian Schmaus
2022-07-10  6:17 Agostino Sarubbo
2022-07-07  6:56 Florian Schmaus
2022-07-05 16:25 Florian Schmaus
2022-07-05 16:23 Florian Schmaus
2022-05-06  9:51 Florian Schmaus
2022-05-04  2:48 Sam James
2022-05-03 18:41 Sam James
2022-04-21 19:21 Florian Schmaus
2022-04-21  9:33 Florian Schmaus
2022-04-18  9:20 Florian Schmaus
2022-04-17 22:16 Florian Schmaus
2022-04-17 22:16 Florian Schmaus
2022-04-17 14:04 Florian Schmaus
2022-04-14  5:54 Florian Schmaus
2022-04-14  5:54 Florian Schmaus
2022-03-14 11:28 Florian Schmaus
2022-03-14 11:28 Florian Schmaus
2022-02-20  0:31 Sam James
2022-02-20  0:31 Sam James
2022-02-19  6:37 Arthur Zamarin
2022-02-18  3:06 Sam James
2022-02-18  3:06 Sam James
2022-01-09  1:10 Sam James
2021-12-21  1:37 Sam James
2021-11-25 20:07 Sam James
2021-11-24  7:44 Florian Schmaus
2021-11-24  7:44 Florian Schmaus
2021-11-12 13:04 Joonas Niilola
2021-10-21 23:28 Sam James
2021-10-20  9:59 Sam James
2021-10-20  9:59 Sam James
2021-09-21  6:35 Agostino Sarubbo
2021-07-15  5:31 Joonas Niilola
2021-06-12 14:00 Sam James
2021-06-11 12:53 Thomas Deutschmann
2021-06-11 12:53 Thomas Deutschmann
2021-06-11 12:53 Thomas Deutschmann
2021-05-11 15:47 Thomas Deutschmann
2021-05-11 15:47 Thomas Deutschmann
2021-04-18  1:44 Sam James
2021-04-17  7:49 Joonas Niilola
2021-03-22 15:33 Joonas Niilola
2021-03-18 20:30 Thomas Deutschmann
2021-03-18 20:30 Thomas Deutschmann
2021-02-25  6:39 Sam James
2021-02-21 16:08 Thomas Deutschmann
2021-02-21 16:08 Thomas Deutschmann
2021-02-04 22:27 Thomas Deutschmann
2021-02-04 14:09 Sam James
2021-02-01 19:24 Thomas Deutschmann
2021-02-01 19:24 Thomas Deutschmann
2020-12-21 18:26 Sam James
2020-12-20 19:21 Thomas Deutschmann
2020-12-03 20:34 Thomas Deutschmann
2020-12-03  7:59 Sam James
2020-11-27 16:55 Thomas Deutschmann
2020-11-27 16:55 Thomas Deutschmann
2020-11-12 14:03 Sam James
2020-11-11 22:37 Thomas Deutschmann
2020-11-11  0:47 Sam James
2020-11-10 15:29 Thomas Deutschmann
2020-11-10 15:29 Thomas Deutschmann
2020-11-10 15:29 Thomas Deutschmann
2020-11-01  2:20 Sam James
2020-10-26 14:13 Joonas Niilola
2020-10-26 14:13 Joonas Niilola
2020-10-09  8:31 Agostino Sarubbo
2020-09-29 20:01 Sam James
2020-09-19  8:04 Michał Górny
2020-09-18 15:05 Agostino Sarubbo
2020-09-12 18:39 Thomas Deutschmann
2020-07-26 16:22 Thomas Deutschmann
2020-07-18  0:01 Sam James
2020-07-17  7:21 Agostino Sarubbo
2020-07-09 13:47 Yixun Lan
2020-07-09 13:47 Yixun Lan
2020-06-26 23:00 Thomas Deutschmann
2020-06-18  3:22 Aaron Bauman
2020-06-12  7:51 Agostino Sarubbo
2020-06-11  9:54 Yixun Lan
2020-05-25 14:21 Yixun Lan
2020-05-25 14:21 Yixun Lan
2020-05-25 14:21 Yixun Lan
2020-04-30 14:46 Yixun Lan
2020-04-30 14:46 Yixun Lan
2020-04-22 14:06 Mikle Kolyada
2020-04-15 15:51 Yixun Lan
2020-04-15 15:51 Yixun Lan
2020-04-15 15:51 Yixun Lan
2020-03-13 15:10 Yixun Lan
2020-03-12 16:21 Agostino Sarubbo
2020-03-10 23:10 Yixun Lan
2020-03-10 23:10 Yixun Lan
2020-03-06 22:34 Yixun Lan
2020-03-01 23:59 Yixun Lan
2020-03-01 23:59 Yixun Lan
2019-12-20 10:08 Yixun Lan
2019-12-17 16:36 Yixun Lan
2019-12-17 16:36 Yixun Lan
2019-12-15 14:05 Yixun Lan
2019-12-15 13:43 Agostino Sarubbo
2019-12-13  9:53 Yixun Lan
2019-12-10  9:43 Yixun Lan
2019-12-10  9:43 Yixun Lan
2019-11-29 14:51 Yixun Lan
2019-11-29 14:51 Yixun Lan
2019-11-29 14:51 Yixun Lan
2019-11-14 15:18 Yixun Lan
2019-11-14 12:30 Agostino Sarubbo
2019-11-13 14:11 Yixun Lan
2019-11-13 14:11 Yixun Lan
2019-11-13 14:11 Yixun Lan
2019-11-04 11:51 Yixun Lan
2019-11-02  8:42 Agostino Sarubbo
2019-10-31 21:48 Thomas Deutschmann
2019-10-31 21:48 Thomas Deutschmann
2019-10-27  7:44 Yixun Lan
2019-10-24  3:07 Yixun Lan
2019-10-24  3:07 Yixun Lan
2019-10-23 12:30 Agostino Sarubbo
2019-10-06 12:45 Thomas Deutschmann
2019-06-20 18:04 Mikle Kolyada
2019-05-17  8:48 Yixun Lan
2019-04-17 13:10 Yixun Lan
2019-04-03  4:55 Yixun Lan
2019-03-28  5:44 Yixun Lan
2019-03-25  5:11 Aaron Bauman
2019-03-24 20:33 Aaron Bauman
2019-03-15 22:49 Thomas Deutschmann
2019-03-08 12:39 Mikle Kolyada
2019-03-07 13:35 Yixun Lan
2019-03-07 13:35 Yixun Lan
2019-03-07 13:35 Yixun Lan
2019-03-07 13:35 Yixun Lan
2019-02-16 13:59 Yixun Lan
2019-02-16 13:59 Yixun Lan
2019-02-13 13:41 Thomas Deutschmann
2019-01-19  3:22 Thomas Deutschmann
2018-12-15 14:13 Yixun Lan
2018-11-23 10:14 Agostino Sarubbo
2018-11-21 22:55 Yixun Lan
2018-11-21 22:55 Yixun Lan
2018-11-21 22:55 Yixun Lan
2018-11-11 10:55 Mikle Kolyada
2018-11-10 20:57 Thomas Deutschmann
2018-11-10 20:57 Thomas Deutschmann
2018-11-10 20:57 Thomas Deutschmann
2018-10-02 11:03 Thomas Deutschmann
2018-10-02 11:03 Thomas Deutschmann
2018-09-18  7:24 Agostino Sarubbo
2018-09-10 11:09 Thomas Deutschmann
2018-09-10  9:36 Thomas Deutschmann
2018-09-09 20:41 Thomas Deutschmann
2018-08-14  1:20 Yixun Lan
2018-08-14  1:20 Yixun Lan
2018-08-14  1:20 Yixun Lan
2018-07-17 11:07 Mikle Kolyada
2018-04-26 21:07 Mikle Kolyada
2018-04-20  5:54 Yixun Lan
2018-04-09  0:03 Aaron Bauman
2018-03-13  4:12 Yixun Lan
2018-03-13  4:12 Yixun Lan
2018-01-14 15:30 Agostino Sarubbo
2017-12-05  2:24 Yixun Lan
2017-12-05  2:24 Yixun Lan
2017-12-05  2:24 Yixun Lan
2017-11-22  1:45 Yixun Lan
2017-11-22  1:45 Yixun Lan
2017-11-08 13:38 Agostino Sarubbo
2017-11-03 18:05 Yixun Lan
2017-11-03 10:08 Yixun Lan
2017-10-13  8:05 Yixun Lan
2017-10-13  8:05 Yixun Lan
2017-09-30  5:40 Yixun Lan
2017-09-30  5:40 Yixun Lan
2017-09-04  1:37 Yixun Lan
2017-07-31  9:01 Tobias Klausmann
2017-07-12  7:25 Yixun Lan
2017-05-11 10:26 Yixun Lan
2017-05-10 15:44 Agostino Sarubbo
2017-05-10  9:32 Agostino Sarubbo
2017-05-03  1:41 Yixun Lan
2017-05-02  9:01 Yixun Lan
2017-04-09  0:10 Yixun Lan
2017-02-24  9:35 Yixun Lan
2017-02-16 18:35 Yixun Lan
2017-02-16 17:16 Agostino Sarubbo
2017-02-15  7:54 Yixun Lan
2016-12-28  9:06 Yixun Lan
2016-12-24  9:47 Agostino Sarubbo
2016-12-21 15:32 Yixun Lan
2016-12-13 15:23 Yixun Lan
2016-12-13 15:23 Yixun Lan
2016-12-13 15:09 Yixun Lan
2016-12-13 11:05 Agostino Sarubbo
2016-12-08  3:19 Yixun Lan
2016-12-07  1:45 Yixun Lan
2016-11-28  4:13 Yixun Lan
2016-11-26 10:36 Agostino Sarubbo
2016-11-22 12:41 Yixun Lan
2016-11-15 10:12 Yixun Lan
2016-11-11  7:23 Yixun Lan
2016-11-04 10:15 Yixun Lan
2016-11-04  8:21 Agostino Sarubbo
2016-10-05  9:48 Yixun Lan
2016-09-12  5:20 Yixun Lan
2016-09-10 12:48 Agostino Sarubbo
2016-09-09  1:17 Yixun Lan
2016-07-28 14:51 Agostino Sarubbo
2016-07-27  1:21 Yixun Lan
2016-06-27  7:38 Yixun Lan
2016-06-07  5:47 Yixun Lan
2016-05-20  4:41 Ian Delaney
2016-05-18  5:31 Patrick Lauer
2016-05-15  3:13 Ian Delaney
2016-04-26 12:33 Ian Delaney
2016-04-26  8:01 Patrice Clement
2016-04-26  7:15 Patrice Clement
2016-04-23 10:05 Ian Delaney
2016-04-14 12:07 Ian Delaney
2016-03-15 13:39 Ian Delaney
2016-03-15  8:11 Agostino Sarubbo
2016-02-19 16:08 Ian Delaney
2016-02-18  3:17 Yixun Lan
2016-02-18  3:17 Yixun Lan
2016-01-22  9:31 Agostino Sarubbo
2016-01-21 14:16 Ian Delaney
2016-01-12 14:24 Ian Delaney
2016-01-12 13:21 Ian Delaney
2016-01-08 21:23 Doug Goldstein
2016-01-07  2:33 Doug Goldstein
2016-01-05 11:23 Agostino Sarubbo
2016-01-03  0:20 Ian Delaney
2015-12-27  1:23 Ian Delaney
2015-12-23  2:21 Ian Delaney
2015-12-17 13:59 Ian Delaney
2015-12-14 14:12 Agostino Sarubbo
2015-12-09  7:06 Ian Delaney
2015-12-09  6:40 Ian Delaney
2015-12-09  5:31 Ian Delaney
2015-12-09  5:31 Ian Delaney
2015-12-06 23:27 Doug Goldstein
2015-12-06  5:35 Doug Goldstein
2015-12-06  5:35 Doug Goldstein
2015-12-06  5:35 Doug Goldstein
2015-12-06  5:35 Doug Goldstein
2015-12-06  5:35 Doug Goldstein
2015-12-04 19:38 Doug Goldstein
2015-12-03 13:13 Ian Delaney
2015-11-29  7:57 Ian Delaney
2015-11-11  8:54 Agostino Sarubbo
2015-11-10 10:07 Ian Delaney
2015-11-10  8:56 Agostino Sarubbo
2015-11-10  8:50 Agostino Sarubbo
2015-11-05  7:54 Yixun Lan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1657038056.ad56bccb7e7bfbd2bdb78203bd28d692034fb448.flow@gentoo \
    --to=flow@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox